Qwt User's Guide: QwtLegend Class Reference

Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions
QwtLegend Class Reference

`#include <qwt_legend.h>`

List of all members.

## Public Types
enum | LegendDisplayPolicy { NoIdentifier = 0, FixedIdentifier = 1, AutoIdentifier = 2 }
enum | LegendItemMode { ReadOnlyItem, ClickableItem, CheckableItem }

## Public Member Functions
| QwtLegend (QWidget *parent=NULL)
virtual | ~QwtLegend ()
void | clear ()
QWidget * | contentsWidget ()
const QWidget * | contentsWidget () const
LegendDisplayPolicy | displayPolicy () const
virtual bool | eventFilter (QObject *, QEvent *)
QWidget * | find (const QwtLegendItemManager *) const
QwtLegendItemManager * | find (const QWidget *) const
virtual int | heightForWidth (int w) const
QScrollBar * | horizontalScrollBar () const
int | identifierMode () const
void | insert (const QwtLegendItemManager *, QWidget *)
bool | isEmpty () const
uint | itemCount () const
LegendItemMode | itemMode () const
virtual QList< QWidget * > | legendItems () const
void | remove (const QwtLegendItemManager *)
void | setDisplayPolicy (LegendDisplayPolicy policy, int mode)
void | setItemMode (LegendItemMode)
virtual QSize | sizeHint () const
QScrollBar * | verticalScrollBar () const

## Protected Member Functions
virtual void | layoutContents ()
virtual void | resizeEvent (QResizeEvent *)

## Detailed Description

The legend widget.

The QwtLegend widget is a tabular arrangement of legend items. Legend items might be any type of widget, but in general they will be a QwtLegendItem.

See also:
  QwtLegendItem, QwtLegendItemManager QwtPlot

## Member Enumeration Documentation

enum QwtLegend::LegendDisplayPolicy

Display policy.

- NoIdentifier
  The client code is responsible how to display of each legend item. The Qwt library will not interfere.

- FixedIdentifier
  All legend items are displayed with the QwtLegendItem::IdentifierMode to be passed in 'mode'.

- AutoIdentifier
  Each legend item is displayed with a mode that is a bitwise or of
  - QwtLegendItem::ShowLine (if its curve is drawn with a line) and
  - QwtLegendItem::ShowSymbol (if its curve is drawn with symbols) and
  - QwtLegendItem::ShowText (if the has a title).

Default is AutoIdentifier.

See also:
  setDisplayPolicy(), displayPolicy(), QwtLegendItem::IdentifierMode

enum QwtLegend::LegendItemMode

Interaction mode for the legend items.

- ReadOnlyItem
  The legend item is not interactive, like a label

- ClickableItem
  The legend item is clickable, like a push button

- CheckableItem
  The legend item is checkable, like a checkable button

Default is ReadOnlyItem.

See also:
  setItemMode(), itemMode(), QwtLegendItem::IdentifierMode QwtLegendItem::clicked(), QwtLegendItem::checked(), QwtPlot::legendClicked(), QwtPlot::legendChecked()

## Constructor & Destructor Documentation

QwtLegend::QwtLegend | ( | QWidget * | parent = `NULL` | ) |
| explicit

Constructor

Parameters:

  parent | Parent widget

## Member Function Documentation

QWidget * QwtLegend::contentsWidget | ( |  | ) |

The contents widget is the only child of the viewport() and the parent widget of all legend items.

const QWidget * QwtLegend::contentsWidget | ( |  | ) | const

The contents widget is the only child of the viewport() and the parent widget of all legend items.

QwtLegend::LegendDisplayPolicy QwtLegend::displayPolicy | ( |  | ) | const

Returns:
  the legend display policy. Default is LegendDisplayPolicy::Auto.

See also:
  setDisplayPolicy(), LegendDisplayPolicy

bool QwtLegend::eventFilter | ( | QObject * | o,
|  | QEvent * | e
| ) |  |
| virtual

Filter layout related events of QwtLegend::contentsWidget().

Parameters:

  o | Object to be filtered
  e | Event

QWidget * QwtLegend::find | ( | const QwtLegendItemManager * | plotItem | ) | const

Find the widget that represents a plot item

Parameters:

  plotItem | Plot item

Returns:
  Widget on the legend, or NULL

QwtLegendItemManager * QwtLegend::find | ( | const QWidget * | legendItem | ) | const

Find the widget that represents a plot item

Parameters:

  legendItem | Legend item

Returns:
  Widget on the legend, or NULL

int QwtLegend::heightForWidth | ( | int | width | ) | const
| virtual

Returns:
  The preferred height, for the width w.

Parameters:

  width | Width

QScrollBar * QwtLegend::horizontalScrollBar | ( |  | ) | const

Returns:
  Horizontal scrollbar

See also:
  verticalScrollBar()

int QwtLegend::identifierMode | ( |  | ) | const

Returns:
  the IdentifierMode to be used in combination with LegendDisplayPolicy::Fixed.

Default is ShowLine | ShowSymbol | ShowText.

void QwtLegend::insert | ( | const QwtLegendItemManager * | plotItem,
|  | QWidget * | legendItem
| ) |  |

Insert a new item for a plot item

Parameters:

  plotItem | Plot item
  legendItem | New legend item

Note:
  The parent of item will be changed to QwtLegend::contentsWidget()

QwtLegend::LegendItemMode QwtLegend::itemMode | ( |  | ) | const

See also:
  LegendItemMode

void QwtLegend::layoutContents | ( |  | ) |
| protectedvirtual

Adjust contents widget and item layout to the size of the viewport().

void QwtLegend::remove | ( | const QwtLegendItemManager * | plotItem | ) |

Find the corresponding item for a plotItem and remove it from the item list.

Parameters:

  plotItem | Plot item

void QwtLegend::resizeEvent | ( | QResizeEvent * | e | ) |
| protectedvirtual

Resize event

Parameters:

  e | Resize event

void QwtLegend::setDisplayPolicy | ( | LegendDisplayPolicy | policy,
|  | int | mode
| ) |  |

Set the legend display policy to:

Parameters:

  policy | Legend display policy
  mode | Identifier mode (or'd ShowLine, ShowSymbol, ShowText)

See also:
  displayPolicy(), LegendDisplayPolicy

void QwtLegend::setItemMode | ( | LegendItemMode | mode | ) |

See also:
  LegendItemMode

QScrollBar * QwtLegend::verticalScrollBar | ( |  | ) | const

Returns:
  Vertical scrollbar

See also:
  horizontalScrollBar()